Class | Nokogiri::HTML::ElementDescription
In: | lib/nokogiri/ffi/html/element_description.rb lib/nokogiri/html/element_description.rb ext/nokogiri/html_document.c
Parent: | Object

call-seq:

     [](tag_name)

Get ElemementDescription for `tag_name`

### Methods

[] block? default_sub_element deprecated? deprecated_attributes description empty? implied_end_tag? implied_start_tag? inline? inspect name optional_attributes required_attributes save_end_tag? sub_elements to_s

### Public Class methods

[](tag_name)

Get ElemementDescription for `tag_name`

### Public Instance methods

block?()

Is this element a block element?

default_sub_element

The default sub element for this element

deprecated?

Is this element deprecated?

deprecated_attributes

A list of deprecated attributes for this element

description

The description for this element

empty?

Is this an empty element?

implied_end_tag?

Can the end tag be implied for this tag?

implied_start_tag?

Can the start tag be implied for this tag?

inline?

Is this element an inline element?

inspect()

Inspection information

name

Get the tag name for this ElemementDescription

optional_attributes

A list of optional attributes for this element

required_attributes

A list of required attributes for this element

save_end_tag?

Should the end tag be saved?

sub_elements

A list of allowed sub elements for this element.

to_s()

Convert this description to a string

[Validate]